IOperation

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IOperation

    com.change_vision.jude.api.inf.model.IOperation

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IOperation
extends INamedElement

Interface for Operation.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract void` | `addParameter(IParameter[] parameters)` Add Parameters.
`abstract IParameter[]` | `getParameters()` Get Parameters.
`abstract IClass` | `getReturnType()` Get Return Type.
`abstract String` | `getReturnTypeExpression()` Get Return Type Expression.
`abstract boolean` | `isAbstract()` Check if it is abstract.
`abstract boolean` | `isLeaf()` Check if it is able to overwrite (final in Java language).
`abstract boolean` | `isStatic()` Check if it is static.
`abstract void` | `removeParameter(IParameter[] parameters)` Remove Parameters.
`abstract void` | `setAbstract(boolean isAbstract)` Set Abstract.
`abstract void` | `setLeaf(boolean isLeaf)` Set Leaf.
`abstract void` | `setReturnType(IClass returnType)` Set Return Type.
`abstract void` | `setReturnTypeExpression(String type)` Set Return Type Expression.
`abstract void` | `setStatic(boolean isStatic)` Set Static.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getParameters

    public abstract IParameter[] getParameters()

  Get Parameters.

  Returns:
    引数の配列。ない場合、長さ0の配列を返します。 the array of Parameters. Return the empty array in case there is none.

### getReturnType

    public abstract IClass getReturnType()

  Get Return Type.

  Returns:
    返り値の型。ない場合は、nullを返します。 Return Type. Return null in case there is none.

### getReturnTypeExpression

    public abstract String getReturnTypeExpression()

  Get Return Type Expression.

  Returns:
    型表現の文字列。ない場合、空文字列("")を返します。 String Type Expression. Return empty string ("") there is none.

### isLeaf

    public abstract boolean isLeaf()

  Check if it is able to overwrite (final in Java language).

  Returns:
    true 上書き不可です / false 上書き可能です true cannot overwrite / false it is able to overwrite

### isAbstract

    public abstract boolean isAbstract()

  Check if it is abstract.

  Returns:
    true 抽象です / false 抽象ではありません true it is abstract / false it is not abstract

### isStatic

    public abstract boolean isStatic()

  Check if it is static.

  Returns:
    true staticの操作です / false staticの操作ではありません true it is an operation of static / false it is not an operation of static

### addParameter

    public abstract void addParameter(IParameter[] parameters)

  Add Parameters.

  Parameters:
    `parameters` - the array of Parameters. If Parameters exists in Operation, Parameter will be cloned and added to Operation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### removeParameter

    public abstract void removeParameter(IParameter[] parameters)

  Remove Parameters.

  Parameters:
    `parameters` - the array of Parameters. If Parameters do not belong to the Operation, they will not be removed.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setReturnType

    public abstract void setReturnType(IClass returnType)

  Set Return Type.

  Parameters:
    `returnType` - Return Type, Null can be set as return Type to create a constructor.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setLeaf

    public abstract void setLeaf(boolean isLeaf)

  Set Leaf.

  Parameters:
    `isLeaf` - true cannot overwrite / false it is able to overwrite.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setAbstract

    public abstract void setAbstract(boolean isAbstract)

  Set Abstract.

  Parameters:
    `isAbstract` - true it is abstract / false it is not abstract.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setStatic

    public abstract void setStatic(boolean isStatic)

  Set Static.

  Parameters:
    `isStatic` - true it is an operation of static / false it is not an operation of static
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setReturnTypeExpression

    public abstract void setReturnTypeExpression(String type)

  Set Return Type Expression.

  Parameters:
    `type` - Return Type Expression If type "int", then type for the parameter will be int. if type like "int[][]", then type expression int[][] will be set for the parameter. if type like "int[2][2]", then type expression int[2][2] will be set for the parameter.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
               ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
               PARAMETER_ERROR_KEY - if a parameter is not set properly.
               INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
               BAD_TRANSACTION_KEY - Bad Transaction.
               HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
               Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD